Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04745 Interface Critical (emulator) Always Apr 8, 2012, 17:00 Apr 22, 2012, 20:52
Tester Zaghadka View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver
Version 0.145u6 Fixed in Version 0.145u8 Build 64-bit
Summary 04745: Game select UI hangs when using cursor keys
Description Mame 0.145u6 hangs when using cursor keys to select from games list.
Steps To Reproduce 1. Launch Mame without specifying ROM, or choose "Select New Game" from within game UI.

2. Move the game highlight either up past the top of the list, or down to the bottom of the list.

UI hangs, if running a game and selecting new game, background emulation also hangs. Keyboard input stops. I either had to execute a <CTRL>+C from the console window, or kill mame64.exe in Task Manager to exit MAME.
Additional Information
Flags
Regression Version 0.145u6
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.08436
Tafoid
Administrator
Apr 8, 2012, 17:40
Happens in 32-bit. I can escape immediately, but as soon as I attempt to move around, MAME hard locks.
User avatar
No.08437
B2K24
Moderator
Apr 8, 2012, 17:53
same result here :(
User avatar
No.08438
Cyberzinho Punk
Tester
Apr 8, 2012, 19:40
> same result here :(

(2)
User avatar
No.08440
Fortuna
Tester
Apr 9, 2012, 05:58
same here, in w7 ultimate 64 bits
User avatar
No.08443
pintcat
Tester
Apr 9, 2012, 11:09
...and same here on Debian. It also happens when using the mouse. You're still able to move the bar around, but pressing a button immediately freezes the menu.